Subject: Re: interrupt latency spi

From: Gabriel Paubert <[email-masked]>
Date: Thu, 3 Apr 2008 19:41:23 +0200

On Thu, Apr 03, 2008 at 09:09:04AM -0400, mejjad lahcen wrote:
>  hi all of you ,
> I am wndering if someone has already done test for interrupt latency on
> linx 2.6.23 mpc5200b.
> I am working on writing a driver which is get SPi involved on design, and I
> know that the  spi interrupt will occurs at every 2 us ( speed 4 MHz
> interupt occurs when It recieves on bytes) so  I am worring about interrupt
> latency.

Expecting to be able to handle an interrupt every 2 microseconds is
simply crazy. Your hardware should at least have some FIFO to buffer
the data, hey, that's what UART started doing even at much lower bit
rates...

	Gabriel